<?php 

class modControlsView {
  private $scope;
    
  public function __construct(modControls $controls) {
    if (isset($controls)) {
      $this->scope = $controls->get("scope");
	}

    $controlsControls = new EntryInit('controls');
    $entryInit = $controlsControls->get("entryInit");
    foreach ($entryInit as $control) {
//print_r ($control);
//print_r ("<br>");        
      eval ($control);
    }
  }

  public function output() {
    $layout = "

<div class='container'>	
  <div class='row'>
    <div class='col-md-12'>
      <table class='table table-bordered'>
        <tr>
          <td>
            $this->cc_idInputLayout
            $this->inputControlLayout
          </td>
          <td>
            $this->inputOperationLayout
          </td>
        </tr>
        <tr>
          <td>
            $this->inputNotesLayout
          </td>
          <td>
            $this->putControlsLayout
          </td>
        </tr>
      </table>
    </div> 
 </div>
</div> 
 
<div class='container'>	
  <div class='row'>
    <div class='col-md-12'>
        $this->togvariablesLayout
      <div class='slide-panel'>		  
        <table class='table table-bordered'>
          $this->controlconfig_fkLayout
          $this->cv_idKeyLayout
          <tr>
            <td>
              $this->inputVariableLayout
            </td>
            <td>
              $this->inputSettingLayout
            </td>
          </tr>  
          <tr>
            <td colspan='2'>
               $this->putVariablesLayout
            </td>
          </tr>     
        </table>
      </div>
    </div>  
  </div>
</div>  
  
<div class='container'>	
  <div class='row'>
    <div class='col-md-12'>
      $this->togVariablesLayout
      <div class='slide-panel'>	
        $this->summVariablesLayout
        $this->delVariablesLayout
      </div>  
      $this->summControlsLayout
      $this->delControlsLayout
	  </div>
  </div>
</div>	


<script>

$(document).ready(function(){
  $('#flip').click(function(){
    $('#subd-panel').toggle('slow');
    $('#summ-panel').toggle('slow');
  });
});
  
$this->summControlsScript
$this->summVariablesScript

</script>
  ";
 
  return $layout;
  }	

}

?>